ReferenceAuth
/api/v1/auth/me/notifications
Partial: only the kind and group pairs sent change. Security notices are not kinds and cannot be switched off. A kind, group or channel the account may not have is 422, and then nothing changes.
PUT
/api/v1/auth/me/notificationsAuthorization
session rezepte_session<token>
Session cookie set by POST /api/v1/auth/login.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/v1/auth/me/notifications" \ -H "Content-Type: application/json" \ -d '{}'{ "$schema": "https://example.com/api/v1/schemas/PreferencesBody.json", "groups": { "property1": { "property1": true, "property2": true }, "property2": { "property1": true, "property2": true } }, "kinds": { "property1": { "property1": true, "property2": true }, "property2": { "property1": true, "property2": true } }}